State Detection

- « Threaded::isRunning

- Threaded::merge »

- PHP Manual
- Threaded
- State Detection

# Threaded::isTerminated

(PECL pthreads >= 2.0.0)

Threaded::isTerminated — State Detection

### Description

public Threaded::isTerminated(): bool

Tell if the referenced object was terminated during execution; suffered fatal errors, or threw uncaught exceptions

### Parameters

This function has no parameters.

### Return Values

A boolean indication of state

### Examples

Example #1 Detect the state of the referenced object

    <?php
    class My extends Thread {
        public function run() {
            i_do_not_exist();
        }
    }
    $my = new My();
    $my->start();
    $my->join();
    var_dump($my->isTerminated());
    ?>

The above example will output:

    bool(true)